Bug 480174 (CVE-2008-5743, CVE-2008-5843) - pdfjam: multiple security issues (CVE-2008-5743, CVE-2008-5843)
Summary: pdfjam: multiple security issues (CVE-2008-5743, CVE-2008-5843)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2008-5743, CVE-2008-5843
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-01-15 15:44 UTC by Tomas Hoger
Modified: 2019-09-29 12:28 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-29 08:23:26 UTC


Attachments (Terms of Use)

Description Tomas Hoger 2009-01-15 15:44:56 UTC
Two CVE ids were assigned for the issues discovered in pdfjam:

CVE-2008-5743:
pdfjam creates the (1) pdf90, (2) pdfjoin, and (3) pdfnup files with a
predictable name, which allows local users to overwrite arbitrary
files via a symlink attack.

CVE-2008-5843:
Multiple untrusted search path vulnerabilities in pdfjam allow local
users to gain privileges via a Trojan horse program in (1) the current
working directory or (2) /var/tmp, related to the (a) pdf90, (b)
pdfjoin, and (c) pdfnup scripts.

References:
https://bugzilla.novell.com/show_bug.cgi?id=459031
https://bugs.gentoo.org/show_bug.cgi?id=252734
http://www.openwall.com/lists/oss-security/2008/12/19/3
http://www.securityfocus.com/bid/32931
http://secunia.com/advisories/33278

Proposed patch to address both issue is attached in the Gentoo BZ:
https://bugs.gentoo.org/show_bug.cgi?id=252734#c2

Comment 1 Fedora Update System 2009-03-12 20:54:43 UTC
pdfjam-1.21-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/pdfjam-1.21-1.fc9

Comment 2 Fedora Update System 2009-03-12 20:54:48 UTC
pdfjam-1.21-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/pdfjam-1.21-1.fc10

Comment 3 Fedora Update System 2009-03-13 18:36:38 UTC
pdfjam-1.21-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2009-03-13 18:37:13 UTC
pdfjam-1.21-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.